# pqxx::internal::result_data Struct Reference

Information shared between all copies of a result set. More...

`#include <result.hxx>`

List of all members.

## Public Member Functions

| result_data ()
| result_data (pqxx::internal::pq::PGresult *, int, const PGSTD::string &)
| ~result_data ()

## Public Attributes

pqxx::internal::pq::PGresult * | data
| Underlying libpq-managed result set.
int | protocol
| Frontend/backend protocol version.
PGSTD::string | query
| Query string that yielded this result.

## Detailed Description

Information shared between all copies of a result set.

## Constructor & Destructor Documentation

pqxx::internal::result_data::result_data | ( |  | ) |

pqxx::internal::result_data::result_data | ( | pqxx::internal::pq::PGresult * | ,
|  | int | ,
|  | const PGSTD::string & |  |
| ) |  |  |

pqxx::internal::result_data::~result_data | ( |  | ) |

## Member Data Documentation

pqxx::internal::pq::PGresult* pqxx::internal::result_data::data

Underlying libpq-managed result set.

Warning:
  This member is duplicated in the result object as a performance shortcut.

int pqxx::internal::result_data::protocol

Frontend/backend protocol version.

PGSTD::string pqxx::internal::result_data::query

Query string that yielded this result.

The documentation for this struct was generated from the following files:

- result.hxx
- result.cxx